tigase.io

## Interface IOInterface

- All Known Implementing Classes:
    SocketIO, TLSIO, ZLibIO

      public interface IOInterface

  Describe interface IOInterface here.
  Created: Sat May 14 08:07:38 2005
  Author:
    Artur Hefczyc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `bytesRead()`
    `boolean` | `checkCapabilities(String caps)`
    `long` | `getBuffOverflow(boolean reset)`
    `long` | `getBytesReceived(boolean reset)`
    `long` | `getBytesSent(boolean reset)`
    `int` | `getInputPacketSize()`
    `SocketChannel` | `getSocketChannel()`
    `void` | `getStatistics(StatisticsList list, boolean reset)`
    `long` | `getTotalBuffOverflow()`
    `long` | `getTotalBytesReceived()`
    `long` | `getTotalBytesSent()`
    `boolean` | `isConnected()`
    `boolean` | `isRemoteAddress(String addr)`
    `ByteBuffer` | `read(ByteBuffer buff)`
    `void` | `setLogId(String logId)`
    `void` | `stop()`
    `boolean` | `waitingToSend()`
    `int` | `waitingToSendSize()`
    `int` | `write(ByteBuffer buff)`

- - ### Method Detail

    - #### bytesRead

          int bytesRead()

    - #### checkCapabilities

          boolean checkCapabilities(String caps)

    - #### getInputPacketSize

          int getInputPacketSize()
                          throws IOException

      Throws:
        `IOException`

    - #### getSocketChannel

          SocketChannel getSocketChannel()

    - #### getStatistics

          void getStatistics(StatisticsList list,
                             boolean reset)

    - #### getBytesSent

          long getBytesSent(boolean reset)

    - #### getTotalBytesSent

          long getTotalBytesSent()

    - #### getBytesReceived

          long getBytesReceived(boolean reset)

    - #### getTotalBytesReceived

          long getTotalBytesReceived()

    - #### getBuffOverflow

          long getBuffOverflow(boolean reset)

    - #### getTotalBuffOverflow

          long getTotalBuffOverflow()

    - #### isConnected

          boolean isConnected()

    - #### isRemoteAddress

          boolean isRemoteAddress(String addr)

    - #### read

          ByteBuffer read(ByteBuffer buff)
                   throws IOException

      Throws:
        `IOException`

    - #### stop

          void stop()
             throws IOException

      Throws:
        `IOException`

    - #### waitingToSend

          boolean waitingToSend()

    - #### waitingToSendSize

          int waitingToSendSize()

    - #### write

          int write(ByteBuffer buff)
             throws IOException

      Throws:
        `IOException`

    - #### setLogId

          void setLogId(String logId)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.